Skip to main content
POST
/
openapi
/
v1
/
assets
/
material
/
upload
/
multipart
/
initiate
Initiate multipart upload
curl --request POST \
  --url https://api.vmeg.ai/openapi/v1/assets/material/upload/multipart/initiate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Idempotency-Key: <x-idempotency-key>' \
  --data '
{
  "fileHash": "<string>",
  "fileName": "<string>"
}
'
{
  "code": 200,
  "message": "",
  "data": {
    "materialId": "<string>",
    "s3Uri": "<string>",
    "uploadId": "<string>",
    "expiresInSeconds": 123,
    "recommendedPartSize": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.vmeg.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Send your API Key in the Authorization header (Bearer <api_key>). See Authentication.

Headers

X-Idempotency-Key
string
required

Required on mutating POST requests that create tasks or change persisted data (max 64 characters). See Idempotency.

Maximum string length: 64

Body

application/json
fileHash
string
required

File MD5 hash

fileName
string
required

File name including extension

Response

200 - application/json

Success

code
integer
required

Business code; 200 means success

Example:

200

message
string

Human-readable detail when code is not success

Example:

""

data
object